unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, DBGrids, ComCtrls,
  ExtCtrls, Grids, Buttons, StdCtrls, Menus, PairSplitter, ValEdit, Types;

type

  { TForm1 }

  TForm1 = class(TForm)
    Image2: TImage;
    Rot: TButton;
    CSVEXService: TMenuItem;
    Einstellungen: TMenuItem;
    IconMenu: TMenuItem;
    Image1: TImage;
    InfUeber: TMenuItem;
    NamensListe: TMenuItem;
    PageControl1: TPageControl;
    PairSplitter1: TPairSplitter;
    PairSplitterSide1: TPairSplitterSide;
    PairSplitterSide2: TPairSplitterSide;
    StatusBar1: TStatusBar;
    TabSheet2: TTabSheet;
    procedure FormCreate(Sender: TObject);
    procedure RotClick(Sender: TObject);
  private

  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }

procedure BildBbau(FormPicture, HintergrundFarbe : TPicture; Farbe: TColor);
Var
   r1 : TRect;
Begin
  HintergrundFarbe.Bitmap.Width := FormPicture.Width;
  HintergrundFarbe.Bitmap.Height := FormPicture.Height;
  HintergrundFarbe.Bitmap.Canvas.Brush.Style := bsSolid;
  HintergrundFarbe.Bitmap.Canvas.Brush.Color := Farbe;
  HintergrundFarbe.Bitmap.Canvas.FillRect(0, 0, FormPicture.Width, FormPicture.Height);
  r1.Top := 0;
  r1.Left := 0;
  r1.Right := FormPicture.Bitmap.Width;
  r1.Bottom := FormPicture.Bitmap.Height;
  HintergrundFarbe.Bitmap.Canvas.StretchDraw(r1, FormPicture.Bitmap);
End;


procedure TForm1.FormCreate(Sender: TObject);
begin
  BildBbau(Image1.picture, Image2.picture, clSkyBlue);
end;

procedure TForm1.RotClick(Sender: TObject);
begin
  BildBbau(Image1.picture, Image2.picture, clRed);
end;

end.

